Incidencia #44118

gtk_init_check()

Abrir Fecha: 2022-03-16 04:57 Última actualización: 2022-06-20 03:12

Informador:
Propietario:
Tipo:
Estado:
Cerrado
Componente:
Hito:
Prioridad:
5 - Medium
Gravedad:
5 - Medium
Resolución:
Fixed
Fichero:
3

Details

Maybe we should use gtk_init_check() instead of gtk_init()? Latter aborts in error situations, former returns and would allow us to handle the program termination ourselves, with things like writing a line to freeciv's own log about the failure.

Applies both to gtk-clients and gtk modpack installers.

Ticket History (3/7 Histories)

2022-03-16 04:57 Updated by: cazfi
  • New Ticket "gtk_init_check()" created
2022-05-31 09:46 Updated by: cazfi
  • Hito Update from (Ninguno) to 3.0.3
  • Componente Update from (Ninguno) to Gtk3.22-client
2022-06-10 11:29 Updated by: cazfi
  • Propietario Update from (Ninguno) to cazfi
  • Resolución Update from Ninguno to Accepted
2022-06-20 03:12 Updated by: cazfi
  • Estado Update from Open to Cerrado
  • Resolución Update from Accepted to Fixed

Editar

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Entrar